:root {
    --basic-text-color: #000000;
    --basic-body-bg: #f2f3f4;
    --settings-area-bg: #ffffff99;
    --settings-area-border-color: #ffffff;

    --header-settings-size: 40px;

    --sqlite-query-border-color: #ccc;
    --sqlite-query-caret-color: #007fff;
    --sqlite-query-input-bg-color: #f0f0f0;

    --toggle-switch-width: 50px;
    --toggle-switch-height: 20px;
    --toggle-switch-border-radius: calc(var(--toggle-switch-height) / 2);
    --toggle-switch-border-size: 2px;
    --toggle-switch-bg-color: #33aa44;
    --toggle-switch-active-bg-color: #cc3322;
    --toggle-switch-transition: .3s ease;
    --thumb-bg-color: #fff;
    --thumb-box-shadow: 0 2px 7px #00000055;

    --btn-width: 100px;
    --btn-height: 40px;
    --btn-box-shadow: 0 3px 10px #00000019;

    --run-btn-bg: #f9f9f9;
    --run-btn-border-top-color: #ffffff;
    --run-btn-border-bottom-color: #fdfdfd;

    --send-btn-bg: #007fff;
    --send-btn-border-top-color: #00ccff;
    --send-btn-border-bottom-color: #00bbff;
}

@media (prefers-color-scheme: dark) {
    :root {
        --basic-text-color: #ffffff;
        --basic-body-bg: #000000;
        --settings-area-bg: #2222227f;
        --settings-area-border-color: #ffffff33;
        
        --sqlite-query-border-color: #292929;
        --sqlite-query-input-bg-color: #191919;

        --toggle-switch-bg-color: #33aa44;
        --toggle-switch-active-bg-color: #cc3322;

        --run-btn-bg: #333;
        --run-btn-border-top-color: #555;
        --run-btn-border-bottom-color: #444;
    }
}

body {
    position: relative;
    background: var(--basic-body-bg);
    color: var(--basic-text-color);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}


#sqlite-query-input-wrapper {
	position: relative;
	height: 200px;
	width: 100%;
    max-width: 700px;
}

/* 1. Позиционируем textarea и PRE (а не code) */
#sqlite-query-input, #sqlite-query-input-backdrop {
	position: absolute;
	inset: 0;
			
	/* Идентичная типографика */
	font-family: monospace;
    font-weight: 900;
	font-size: 15px;
	line-height: 1.5; 
			
	/* Идентичная блочная модель */
	box-sizing: border-box;
	margin: 0;
	padding: 10px;
	border: 1px solid var(--sqlite-query-border-color);
	height: 100%;
	width: 100%;

	/* Одинаковое поведение скролла и переносов */
	overflow: auto;
	white-space: pre-wrap;
	word-wrap: break-word;

    border-radius: 7px;
}

/* 2. Жестко сбрасываем стили, которые Highlight.js вешает на <code> */
#sqlite-query-input-content {
	padding: 0 !important;
	background: transparent !important;
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
}

/* 3. Стилизуем textarea, чтобы он был прозрачным "призраком" поверх кода */
#sqlite-query-input {
	color: transparent;
	caret-color: var(--sqlite-query-caret-color); /* Цвет курсора */
	background: transparent;
	resize: none;
	outline: none;
	z-index: 2; /* Гарантируем, что textarea всегда сверху и ловит клики */
}


#sqlite-query-input-backdrop {
	z-index: 1;
	background: var(--sqlite-query-input-bg-color); /* Фоновый цвет редактора (можно взять из темы highlight.js) */
}

#db-mode-area {
    display: flex;
    align-items: center;
    & .toggle-switch {
        margin: 15px;
    }
}

/* TOGGLE SWITCH*/

.toggle-switch {
    width: var(--toggle-switch-width);
    height: var(--toggle-switch-height);
    border-radius: var(--toggle-switch-border-radius);
    background-color: var(--toggle-switch-bg-color);
    position: relative;
    overflow: hidden;
    transition: var(--toggle-switch-transition);
}

.toggle-switch.active {
    background-color: var(--toggle-switch-active-bg-color);
    position: relative;
    transition: var(--toggle-switch-transition);
}

.thumb {
    position: absolute;
    top: var(--toggle-switch-border-size);
    left: var(--toggle-switch-border-size);
    height: calc(var(--toggle-switch-height) - var(--toggle-switch-border-size) * 2);
    width: calc(var(--toggle-switch-width) - var(--toggle-switch-height) - var(--toggle-switch-border-size) * 2);
    border-radius: calc(var(--toggle-switch-border-radius) - var(--toggle-switch-border-size));
    background-color: var(--thumb-bg-color);
    box-shadow: var(--thumb-box-shadow);
    transition: var(--toggle-switch-transition);
}

.thumb.active {
    top: var(--toggle-switch-border-size);
    left: calc(var(--toggle-switch-height) + var(--toggle-switch-border-size));
    transition: var(--toggle-switch-transition);
}


/* INPUT BUTTONS */

#query-buttons-content button {
    width: var(--btn-width);
    height: var(--btn-height);
    border-radius: calc(var(--btn-height) / 2);
    text-align: center;
    align-items: center;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 18px;
    margin: 15px;
    box-shadow: var(--btn-box-shadow);
}

.run-btn {
    color: var(--basic-text-color);
    background: var(--run-btn-bg); 
    border: none;
    border-top: solid 1px var(--run-btn-border-top-color);
    border-bottom: solid 1px var(--run-btn-border-bottom-color);
}

.send-btn {
    color: #fff;
    background: var(--send-btn-bg); 
    border: none;
    border-top: solid 1px var(--send-btn-border-top-color);
    border-bottom: solid 1px var(--send-btn-border-bottom-color);
}

@keyframes SpinClose {
    0% {
        transform: rotate(0deg);
        opacity: 0;
    }
    35% {
        transform: rotate(180deg);
    }
    100% {
        transform: rotate(360deg);
        opacity: 1;  
    }
}

@keyframes SpinOpen {
    0% {
        transform: rotate(0deg);
        opacity: 1;
    }
    100% {
        transform: rotate(180deg);
        opacity: 0;  
    }
}

#header-settings {
    z-index: 998;
    position: fixed;
    width: var(--header-settings-size);
    height: var(--header-settings-size);
    right: 10px;
    top: 10px;
    & svg {
        position: absolute;
        width: var(--header-settings-size);
        height: var(--header-settings-size);
        opacity: 1;
    }
    & svg.close {
        animation: .5s SpinClose;
        opacity: 1;
    }
    & svg.open {
        animation: .2s SpinOpen;
        opacity: 0;
    }
}

#header-settings svg {
    & path {
        fill: var(--basic-text-color);
    }
}

#settings-area {
    position: fixed;
    z-index: 999;
    right: 10px;
    top: 10px;
    width: 50%;
    max-width: 250px; 
    background-color: var(--settings-area-bg);
    backdrop-filter: blur(8px);
    border: solid 1px var(--settings-area-border-color);
    box-shadow: 0 5px 15px #00000022;
    border-radius: 10px;
    padding: 15px;
    transition: .3s ease;
    &.close {
        opacity: 0;
        transform: translateX(100%);
        transition: .3s ease;
    }
    &.open {
        opacity: 1;
        transition: .3s ease;
        transform: translateX(0%);
    }
}

#settings-area-close-btn {
    position: absolute;
    top: 5px;
    right: 5px;
    width: calc(var(--header-settings-size) / 2);
    height: calc(var(--header-settings-size) / 2);
    & svg {
        width: calc(var(--header-settings-size) / 2);
        height: calc(var(--header-settings-size) / 2);
        & path {
            fill: var(--basic-text-color);
        }
        opacity: 0.5;
    }
}



#console-content {
    padding: 10px;
    background-color: #007fff;
    border: 1px solid var(--sqlite-query-border-color);
    background: var(--sqlite-query-input-bg-color);
    border-radius: 7px;
}